%define upstream_name	 Data-UUID
%define upstream_version 1.226

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl extension for generating Globally/Universally Unique Identifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
# Avoid provides for private shared objects
%{?perl_default_filter}

%description
Perl extension for generating Globally/Universally Unique Identifiers
(GUIDs/UUIDs).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Data
%{perl_vendorarch}/auto/Data
%{_mandir}/man3/*

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 1.226.0-5.mga9
+ Revision: 1861771
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.226.0-4.mga9
+ Revision: 1795669
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.226.0-3.mga9
+ Revision: 1726538
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.226.0-2.mga8
+ Revision: 1594401
- Rebuild for perl 5.32

* Mon Apr 13 2020 tv <tv> 1.226.0-1.mga8
+ Revision: 1567046
- update to 1.226

* Sat Feb 15 2020 umeabot <umeabot> 1.224.0-3.mga8
+ Revision: 1529014
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.224.0-2.mga8
+ Revision: 1432893
- rebuild with perl-5.30

* Sun Mar 03 2019 tv <tv> 1.224.0-1.mga7
+ Revision: 1371136
- update to 1.224

* Fri Sep 21 2018 umeabot <umeabot> 1.221.0-8.mga7
+ Revision: 1292693
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.221.0-7.mga7
+ Revision: 1249785
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.221.0-6.mga7
+ Revision: 1163848
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.221.0-5.mga7
+ Revision: 1148933
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.221.0-4.mga7
+ Revision: 1126659
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.221.0-3.mga6
+ Revision: 1024957
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.221.0-2.mga6
+ Revision: 957063
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.221.0-1.mga6
+ Revision: 864316
- update to 1.221

* Fri Jun 26 2015 tv <tv> 1.220.0-3.mga6
+ Revision: 844800
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.220.0-2.mga6
+ Revision: 840799
- Rebuild for perl 5.22

* Mon Jun 22 2015 sander85 <sander85> 1.220.0-1.mga6
+ Revision: 839277
- update to 1.220

* Sun Oct 19 2014 umeabot <umeabot> 1.219.0-7.mga5
+ Revision: 789687
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.219.0-6.mga5
+ Revision: 747468
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.219.0-5.mga5
+ Revision: 735470
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.219.0-4.mga5
+ Revision: 684250
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.219.0-3.mga5
+ Revision: 631051
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.219.0-2.mga4
+ Revision: 529201
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 sander85 <sander85> 1.219.0-1.mga4
+ Revision: 450938
- update to 1.219

* Wed May 29 2013 shlomif <shlomif> 1.218.0-3.mga4
+ Revision: 432563
- Rebuild for perl-5.18.0

* Sun Jan 13 2013 umeabot <umeabot> 1.218.0-2.mga3
+ Revision: 365514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 1.218.0-1.mga3
+ Revision: 285259
- update to 1.218

* Wed May 30 2012 jquelin <jquelin> 1.217.0-4.mga3
+ Revision: 250484
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.217.0-3.mga2
+ Revision: 104112
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.217.0-2.mga1
+ Revision: 31619
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.217.0-1.mga1
+ Revision: 10660
- imported package perl-Data-UUID

